#include "fpga_cell_none.h"
#include <stdlib.h>
#include "fpga_global.h"

struct fpga_cell *fpga_cell_none_new()
{
	struct fpga_cell_none *fpga_cell_none;

	fpga_cell_none = malloc(sizeof(struct fpga_cell_none));

	return FPGA_TO_CELL(fpga_cell_none);
}

struct fpga_cell *fpga_cell_none_get_next_isp(struct fpga_cell *fpga_cell,
					       enum fpga_isp_channel *isp_channel)
{
	report(LL_WARNING,
	       "ISP signal ran into empty cell. Terminating chain.");
	return NULL;
}
